geos::operation::relateng::EdgeSegmentOverlapAction Class Reference

The action for the internal iterator for performing overlap queries on a MonotoneChain. More...

`#include <EdgeSegmentOverlapAction.h>`

Inheritance diagram for geos::operation::relateng::EdgeSegmentOverlapAction:

## Public Member Functions

| EdgeSegmentOverlapAction (SegmentIntersector &p_si)
void | overlap (const MonotoneChain &mc1, std::size_t start1, const MonotoneChain &mc2, std::size_t start2) override
| This function can be overridden if the original chains are needed.
Public Member Functions inherited from geos::index::chain::MonotoneChainOverlapAction
virtual void | overlap (const geom::LineSegment &, const geom::LineSegment &)
| This is a convenience function which can be overridden to obtain the actual line segments which overlap.

## Additional Inherited Members

Protected Attributes inherited from geos::index::chain::MonotoneChainOverlapAction
geom::LineSegment | overlapSeg1
geom::LineSegment | overlapSeg2

## Detailed Description

The action for the internal iterator for performing overlap queries on a MonotoneChain.

## Member Function Documentation

## overlap()

void geos::operation::relateng::EdgeSegmentOverlapAction::overlap | ( | const MonotoneChain & | mc1,
|  | std::size_t | start1,
|  | const MonotoneChain & | mc2,
|  | std::size_t | start2 )

override virtual

This function can be overridden if the original chains are needed.

Parameters

  mc1 | a MonotoneChain
  mc2 | a MonotoneChain
  start1 | the index of the start of the overlapping segment from mc1
  start2 | the index of the start of the overlapping segment from mc2

Reimplemented from geos::index::chain::MonotoneChainOverlapAction.

The documentation for this class was generated from the following file:

- EdgeSegmentOverlapAction.h